using System;
using VT.FW.DB;

namespace Edu.Model.Entity.Finance
{
    /// <summary>
    /// 简易报表
    /// </summary>
    [Serializable]
    [DB(ConnectionName = "DataStatisticsConnection")]
    public class RB_SimpleReport
    {
        /// <summary>
        /// ID
        /// </summary>        
        public int ID
        {
            get;
            set;
        }
        /// <summary>
        /// 年份
        /// </summary>        
        public int Year
        {
            get;
            set;
        }
        /// <summary>
        /// 摘要
        /// </summary>        
        public string Abstract
        {
            get;
            set;
        }
        /// <summary>
        /// 一月
        /// </summary>        
        public decimal January
        {
            get;
            set;
        }
        /// <summary>
        /// 二月
        /// </summary>        
        public decimal February
        {
            get;
            set;
        }
        /// <summary>
        /// 三月
        /// </summary>        
        public decimal March
        {
            get;
            set;
        }
        /// <summary>
        /// 第一季度
        /// </summary>        
        public decimal FirstQuarter
        {
            get;
            set;
        }
        /// <summary>
        /// 四月
        /// </summary>        
        public decimal April
        {
            get;
            set;
        }
        /// <summary>
        /// 五月
        /// </summary>        
        public decimal May
        {
            get;
            set;
        }
        /// <summary>
        /// 六月
        /// </summary>        
        public decimal June
        {
            get;
            set;
        }
        /// <summary>
        /// 第二季度
        /// </summary>        
        public decimal SecondQuarter
        {
            get;
            set;
        }
        /// <summary>
        /// 上半年报
        /// </summary>        
        public decimal HalfReport
        {
            get;
            set;
        }
        /// <summary>
        /// 七月
        /// </summary>        
        public decimal July
        {
            get;
            set;
        }
        /// <summary>
        /// 八月
        /// </summary>        
        public decimal August
        {
            get;
            set;
        }
        /// <summary>
        /// 九月
        /// </summary>        
        public decimal September
        {
            get;
            set;
        }
        /// <summary>
        /// 第三季度
        /// </summary>        
        public decimal ThirdQuarter
        {
            get;
            set;
        }
        /// <summary>
        /// 十月
        /// </summary>        
        public decimal October
        {
            get;
            set;
        }
        /// <summary>
        /// 十一月
        /// </summary>        
        public decimal November
        {
            get;
            set;
        }
        /// <summary>
        /// 十二月
        /// </summary>        
        public decimal December
        {
            get;
            set;
        }
        /// <summary>
        /// 第四季度
        /// </summary>        
        public decimal FourthQuarter
        {
            get;
            set;
        }
        /// <summary>
        /// 下半年报
        /// </summary>        
        public decimal LastHalfReport
        {
            get;
            set;
        }
        /// <summary>
        /// 总计
        /// </summary>        
        public decimal Total
        {
            get;
            set;
        }
        /// <summary>
        /// 集团ID
        /// </summary>        
        public int Rb_Group_Id
        {
            get;
            set;
        }
        /// <summary>
        /// 所属公司
        /// </summary>
        public int BranchId
        {
            get; set;
        }
        /// <summary>
        /// 排序
        /// </summary>
        public int Sort
        {
            get; set;
        }

        /// <summary>
        /// 费用类型
        /// </summary>
        public string CostTypeIds { get; set; }
    }
}
